Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0039201
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajoralways2018-08-30 11:232018-09-25 20:57
ReporterLeyreView Statuspublic 
Assigned Tojarmendariz 
PriorityurgentResolutionfixedFixed in Version3.0PR18Q4
StatusclosedFix in branchFixed in SCM revision7ebcdd2bf2c5
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tocaristu
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0039201: Menu may be overlapped by a messageBar if receiving a response from a closed window request

DescriptionThe menu items disappear when closing/opening "Accounting Transaction Details".
Steps To Reproduce1. Open "Accounting Transaction Details" window

2. Filter by Business Partner.

3. While loading data, close the window.

4. Open again "Accounting Transaction Details" window.

5. Verify that all the menu items (Quick menu, Search menu, Alerts, Help, ...) have disappeared.

** This happens in an environment that there are many records:
fact_acct > 30.000.000 of records.


This issue can be more repeatable by applying the patch attached to made POST requests fail after a 10s delay:

1. Open "Accounting Transaction Details" window

2. Close the window as soon as the request started

3. Wait 10 seconds

4. An error messageBar with no icon and no close button should appear at the top of the page overlapping the menu.
TagsNo tags attached.
Attached Filespatch file icon request-fail-after-10s.patch [^] (1,123 bytes) 2018-09-12 13:55 [Show Content]
patch file icon issue-39201.patch [^] (3,915 bytes) 2018-09-12 19:13 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0039293 closedmarkmm82 Accounting Transaction Details Query Performance 

-  Notes
(0106920)
hgbot (developer)
2018-09-21 09:31

Repository: erp/devel/pi
Changeset: 7ebcdd2bf2c5f5b650d3e6c5501049393d98e525
Author: Javier Armendáriz <javier.armendariz <at> openbravo.com>
Date: Fri Sep 21 09:28:48 2018 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/7ebcdd2bf2c5f5b650d3e6c5501049393d98e525 [^]

Fixed issue 39201: Menu overlapped by messageBar if receiving a response from a closed window.

Instead of dissapearing, the menu were overlapped with a error messageBar which
originally belonged to the window that made the request (and were closed before
it finishes). This fix ensures the datasource window is not currently destroyed
to show the error message.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/main/ob-standard-view-datasource.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/main/ob-standard-view.js
---
(0106995)
hgbot (developer)
2018-09-25 10:44

Repository: erp/devel/pi
Changeset: 293ffdd59d3500e3bea924da40c1ecabdbe8e4cf
Author: Javier Armendáriz <javier.armendariz <at> openbravo.com>
Date: Tue Sep 25 10:42:56 2018 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/293ffdd59d3500e3bea924da40c1ecabdbe8e4cf [^]

Related to issue 39201: Updated copyright year

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/main/ob-standard-view.js
---
(0106996)
caristu (developer)
2018-09-25 10:54

Code reviewed + tested OK.
(0107013)
hudsonbot (developer)
2018-09-25 14:16

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/c4e1d4ba022d [^]
Maturity status: Test
(0107030)
hudsonbot (developer)
2018-09-25 20:57

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b69e30e117b8 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2018-08-30 11:23 Leyre New Issue
2018-08-30 11:23 Leyre Assigned To => platform
2018-08-30 11:23 Leyre Modules => Core
2018-08-30 11:23 Leyre Triggers an Emergency Pack => No
2018-08-30 12:41 rafaroda Issue Monitored: rafaroda
2018-08-30 16:03 rafaroda Tag Attached: Performance
2018-09-12 13:32 jarmendariz Assigned To platform => jarmendariz
2018-09-12 13:44 jarmendariz Status new => scheduled
2018-09-12 13:55 jarmendariz File Added: request-fail-after-10s.patch
2018-09-12 13:58 jarmendariz Steps to Reproduce Updated View Revisions
2018-09-12 13:58 jarmendariz Steps to Reproduce Updated View Revisions
2018-09-12 19:13 jarmendariz File Added: issue-39201.patch
2018-09-17 16:12 rafaroda Relationship added related to 0039293
2018-09-20 12:55 jarmendariz Summary Performance Issue in Accounting Transaction Detail Window. => Menu may be overlapped by a messageBar if receiving a response from a closed window request
2018-09-21 09:31 hgbot Checkin
2018-09-21 09:31 hgbot Note Added: 0106920
2018-09-21 09:31 hgbot Status scheduled => resolved
2018-09-21 09:31 hgbot Resolution open => fixed
2018-09-21 09:31 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/7ebcdd2bf2c5f5b650d3e6c5501049393d98e525 [^]
2018-09-24 16:49 caristu Review Assigned To => caristu
2018-09-24 16:50 caristu Tag Detached: Performance
2018-09-25 10:44 hgbot Checkin
2018-09-25 10:44 hgbot Note Added: 0106995
2018-09-25 10:54 caristu Note Added: 0106996
2018-09-25 10:54 caristu Status resolved => closed
2018-09-25 10:54 caristu Fixed in Version => 3.0PR18Q4
2018-09-25 14:16 hudsonbot Checkin
2018-09-25 14:16 hudsonbot Note Added: 0107013
2018-09-25 20:57 hudsonbot Checkin
2018-09-25 20:57 hudsonbot Note Added: 0107030


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker